﻿package com.webdevils {
	import flash.display.*;
	import flash.events.*;
	
	public class Connect_The_Dots {
		private var lines_array:Array;
		private var lines_mc:MovieClip;
		private var stroke:Number;
		private var color:uint;
		
		public function Connect_The_Dots( _mc:MovieClip, _array:Array = null, _stroke:Number = 1, _color:uint = 0x000000 ) {
			lines_array = _array;
			lines_mc = new MovieClip();
			_mc.addChild( lines_mc );
			
			stroke = _stroke;
			color = _color;
			
			connect_dots();
		}
		
		public function connect_dots():void {
			lines_mc.graphics.clear();
			lines_mc.graphics.lineStyle( stroke, color );
			for ( var p in lines_array ) {
				lines_mc.graphics.moveTo( lines_array[p][0].x, lines_array[p][0].y );
				lines_mc.graphics.lineTo( lines_array[p][1].x, lines_array[p][1].y );
			}
		}
	}
}