﻿package {
	import flash.display.*;
	import flash.events.*;
	import com.webdevils.Button_Group;
	import com.webdevils.Load_Content;
	
	public class Main extends MovieClip {
		private var my_lc:Load_Content;
		
		public function Main() {
			new Button_Group( [a_mc,b_mc,c_mc] );
			
			var _open = { alpha:1, time:1 };
			var _exit = { alpha:0, time:1 };
			var _start= { alpha:0 };
			my_lc = new Load_Content( content_mc, _open, _exit, _start );
			my_lc.addEventListener( ProgressEvent.PROGRESS, on_progress );
			my_lc.addEventListener( Event.COMPLETE, on_complete );
			my_lc.addEventListener( "start", on_start );
			
			on_complete();
			
			a_mc.addEventListener( MouseEvent.CLICK, click_a );
			b_mc.addEventListener( MouseEvent.CLICK, click_b );
			c_mc.addEventListener( MouseEvent.CLICK, click_c );
		}
		
		private function on_progress( e:ProgressEvent ):void {
			var p = e.bytesLoaded / e.bytesTotal;
			bar_mc.scaleX = p;
			percent_txt.text = Math.round( p * 100 ) + "%";
		}
		
		private function on_complete( e:Event = null ):void {
			bar_mc.visible = false;
			percent_txt.visible = false;
		}
		
		private function on_start( e:Event ):void {
			bar_mc.visible = true;
			percent_txt.visible = true;
		}
		
		
		private function click_a( e:MouseEvent ):void {
			my_lc.add_content( "Page_A.swf" );
		}
		
		private function click_b( e:MouseEvent ):void {
			my_lc.add_content( "Page_B.swf" );
		}
		
		private function click_c( e:MouseEvent ):void {
			my_lc.add_content( "Page_C.swf" );
		}
		
	}// --------------------------------------------------------
}




















