﻿package {
	import flash.display.*;
	import flash.events.*;
	import com.webdevils.ImageLoader;
	import com.webdevils.XMLLoader;
	import com.webdevils.Button_Group;
	
	public class Page_C extends MovieClip {
		private var my_il:ImageLoader;
		
		public function Page_C() {
			my_il = new ImageLoader( "images/image_1.jpg", 413, 298 );
			addChild( my_il );
			my_il.x = 251;
			my_il.y = 66;
			
			var my_xml = new XMLLoader( "slideshow.xml" );
			my_xml.addEventListener( Event.COMPLETE, on_complete );
		}
		
		private function on_complete( e:Event ):void {
			var image_list = new XML( e.target.data ).image;
			var icon_array = new Array();
			for( var p in image_list ) {
				var icon_url  = image_list[p].icon_url;
				var image_url = image_list[p].image_url;
				var _icon = new Icon();
				addChild( _icon );
				_icon.x = 67 + ( 70 * ( p % 3 ) );
				_icon.y = 100 + ( 70 * Math.floor( p / 3 ) );
				icon_array.push( _icon );
				
				_icon.addEventListener( MouseEvent.CLICK, on_click );
				_icon.image_url = image_url;
				
				var _il = new ImageLoader( icon_url, 65, 65 ); // _icon.icon_mc._il
				_icon.icon_mc.addChild( _il );
				
			} // end of loop
			new Button_Group( icon_array )
		} // end on_complete
		
		private function on_click( e:MouseEvent ):void {
			my_il.load_image( e.currentTarget.image_url );
		}
		
	} // ----------------------------------------------------------
}



















